> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List GL Transactions for Reconciliation

> List source (GL) transactions available for reconciliation. Supports filtering by date range, bank, vendor, department, tag, currency, and reconciliation status.



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /coa/api/v2/reconciliation/{id}/source-transactions
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/v2/reconciliation/{id}/source-transactions:
    get:
      tags:
        - Bank Reconciliation
      summary: List GL Transactions for Reconciliation
      description: >-
        List source (GL) transactions available for reconciliation. Supports
        filtering by date range, bank, vendor, department, tag, currency, and
        reconciliation status.
      operationId: coa_api_v2_reconciliation_source_transactions_list
      parameters:
        - in: query
          name: bank
          schema:
            type: integer
          description: Filter by bank account ID
        - in: query
          name: currency
          schema:
            type: string
          description: Filter by currency code (e.g., USD, EUR)
        - in: query
          name: department
          schema:
            type: integer
          description: Filter by department ID
        - in: query
          name: end_date
          schema:
            type: string
          description: Filter by maximum posted date (YYYY-MM-DD)
        - in: query
          name: group
          schema:
            type: integer
          description: Filter by tag group ID
        - in: path
          name: id
          schema:
            type: integer
          required: true
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: matched
          schema:
            type: string
          description: >-
            Set to 'true' to show only transactions with an explicit statement
            match, or 'false' to show transactions without an explicit statement
            match
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - in: query
          name: q
          schema:
            type: string
          description: >-
            Search term for bank description, journal memo, journal order, or
            amount
        - in: query
          name: reconciled_only
          schema:
            type: string
          description: Set to 'true' to show only reconciled transactions for this report
        - in: query
          name: sort
          schema:
            type: string
          description: >-
            Sort field(s), comma-separated (prefix with - for descending).
            Default: posted_at
        - in: query
          name: start_date
          schema:
            type: string
          description: Filter by minimum posted date (YYYY-MM-DD)
        - in: query
          name: tag
          schema:
            type: integer
          description: Filter by tag ID
        - in: query
          name: unreconciled
          schema:
            type: string
          description: Set to 'true' to show only unreconciled transactions
        - in: query
          name: vendor
          schema:
            type: integer
          description: Filter by vendor/payee ID
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedReconciliationReportV2SourceTransactionListList
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    PaginatedReconciliationReportV2SourceTransactionListList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/ReconciliationReportV2SourceTransactionList'
    ReconciliationReportV2SourceTransactionList:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        currency:
          type: string
          readOnly: true
        posted_at:
          type: string
          format: date
          nullable: true
          title: Posted Date
        debit_amount_in_currency:
          type: string
          readOnly: true
        credit_amount_in_currency:
          type: string
          readOnly: true
        bank_description:
          type: string
          nullable: true
        reconciliation_transaction:
          type: array
          items:
            $ref: >-
              #/components/schemas/ReconciliationReportV2SourceReconciliationTransaction
          readOnly: true
        is_cleared:
          type: string
          readOnly: true
        is_matched:
          type: string
          readOnly: true
        journal_id:
          type: integer
          readOnly: true
        journal_order:
          type: string
          readOnly: true
      required:
        - credit_amount_in_currency
        - currency
        - debit_amount_in_currency
        - id
        - is_cleared
        - is_matched
        - journal_id
        - journal_order
        - reconciliation_transaction
    ReconciliationReportV2SourceReconciliationTransaction:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        status:
          $ref: >-
            #/components/schemas/ReconciliationReportV2SourceReconciliationTransactionStatusEnum
        suggestion_id:
          type: integer
          nullable: true
          readOnly: true
        suggestion:
          allOf:
            - $ref: '#/components/schemas/ReconciliationReportV2StatementTransaction'
          readOnly: true
      required:
        - id
        - suggestion
        - suggestion_id
    ReconciliationReportV2SourceReconciliationTransactionStatusEnum:
      enum:
        - DRAFT
        - RECONCILED
      type: string
      description: |-
        * `DRAFT` - Draft
        * `RECONCILED` - Reconciled
    ReconciliationReportV2StatementTransaction:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        page_number:
          type: integer
          readOnly: true
        reconciliation_transaction_id:
          type: string
          readOnly: true
        source_transaction_id:
          type: string
          readOnly: true
        is_matched:
          type: string
          readOnly: true
        date:
          type: string
          format: date
        deposit:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        withdrawal:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        description:
          type: string
          nullable: true
        is_cleared:
          type: boolean
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        customer:
          type: integer
          readOnly: true
        reconciliation_report:
          type: integer
          readOnly: true
        page:
          type: integer
          readOnly: true
      required:
        - created_at
        - customer
        - date
        - id
        - is_matched
        - last_modified_at
        - page
        - page_number
        - reconciliation_report
        - reconciliation_transaction_id
        - source_transaction_id
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````